diff --git a/salt/states/virt.py b/salt/states/virt.py
index 819776d707..fdef002293 100644
--- a/salt/states/virt.py
+++ b/salt/states/virt.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-'''
+"""
 Manage virt
 ===========
 
@@ -10,47 +10,49 @@ for the generation and signing of certificates for systems running libvirt:
 
     libvirt_keys:
       virt.keys
-'''
+"""
 
 # Import Python libs
 from __future__ import absolute_import, print_function, unicode_literals
-import copy
+
 import fnmatch
 import os
 
-try:
-    import libvirt  # pylint: disable=import-error
-    HAS_LIBVIRT = True
-except ImportError:
-    HAS_LIBVIRT = False
-
 # Import Salt libs
 import salt.utils.args
 import salt.utils.files
 import salt.utils.stringutils
 import salt.utils.versions
-from salt.exceptions import CommandExecutionError
+from salt.exceptions import CommandExecutionError, SaltInvocationError
 
 # Import 3rd-party libs
 from salt.ext import six
 
-__virtualname__ = 'virt'
+try:
+    import libvirt  # pylint: disable=import-error
+
+    HAS_LIBVIRT = True
+except ImportError:
+    HAS_LIBVIRT = False
+
+
+__virtualname__ = "virt"
 
 
 def __virtual__():
-    '''
+    """
     Only if virt module is available.
 
     :return:
-    '''
+    """
 
-    if 'virt.node_info' in __salt__:
+    if "virt.node_info" in __salt__:
         return __virtualname__
     return False
 
 
-def keys(name, basepath='/etc/pki', **kwargs):
-    '''
+def keys(name, basepath="/etc/pki", **kwargs):
+    """
     Manage libvirt keys.
 
     name
@@ -90,65 +92,68 @@ def keys(name, basepath='/etc/pki', **kwargs):
 
         .. versionadded:: 2018.3.0
 
-    '''
-    ret = {'name': name, 'changes': {}, 'result': True, 'comment': ''}
+    """
+    ret = {"name": name, "changes": {}, "result": True, "comment": ""}
 
     # Grab all kwargs to make them available as pillar values
     # rename them to something hopefully unique to avoid
     # overriding anything existing
     pillar_kwargs = {}
     for key, value in six.iteritems(kwargs):
-        pillar_kwargs['ext_pillar_virt.{0}'.format(key)] = value
+        pillar_kwargs["ext_pillar_virt.{0}".format(key)] = value
 
-    pillar = __salt__['pillar.ext']({'libvirt': '_'}, pillar_kwargs)
+    pillar = __salt__["pillar.ext"]({"libvirt": "_"}, pillar_kwargs)
     paths = {
-        'serverkey': os.path.join(basepath, 'libvirt',
-                                  'private', 'serverkey.pem'),
-        'servercert': os.path.join(basepath, 'libvirt',
-                                   'servercert.pem'),
-        'clientkey': os.path.join(basepath, 'libvirt',
-                                  'private', 'clientkey.pem'),
-        'clientcert': os.path.join(basepath, 'libvirt',
-                                   'clientcert.pem'),
-        'cacert': os.path.join(basepath, 'CA', 'cacert.pem')
+        "serverkey": os.path.join(basepath, "libvirt", "private", "serverkey.pem"),
+        "servercert": os.path.join(basepath, "libvirt", "servercert.pem"),
+        "clientkey": os.path.join(basepath, "libvirt", "private", "clientkey.pem"),
+        "clientcert": os.path.join(basepath, "libvirt", "clientcert.pem"),
+        "cacert": os.path.join(basepath, "CA", "cacert.pem"),
     }
 
     for key in paths:
-        p_key = 'libvirt.{0}.pem'.format(key)
+        p_key = "libvirt.{0}.pem".format(key)
         if p_key not in pillar:
             continue
         if not os.path.exists(os.path.dirname(paths[key])):
             os.makedirs(os.path.dirname(paths[key]))
         if os.path.isfile(paths[key]):
-            with salt.utils.files.fopen(paths[key], 'r') as fp_:
+            with salt.utils.files.fopen(paths[key], "r") as fp_:
                 if salt.utils.stringutils.to_unicode(fp_.read()) != pillar[p_key]:
-                    ret['changes'][key] = 'update'
+                    ret["changes"][key] = "update"
         else:
-            ret['changes'][key] = 'new'
-
-    if not ret['changes']:
-        ret['comment'] = 'All keys are correct'
-    elif __opts__['test']:
-        ret['result'] = None
-        ret['comment'] = 'Libvirt keys are set to be updated'
-        ret['changes'] = {}
+            ret["changes"][key] = "new"
+
+    if not ret["changes"]:
+        ret["comment"] = "All keys are correct"
+    elif __opts__["test"]:
+        ret["result"] = None
+        ret["comment"] = "Libvirt keys are set to be updated"
+        ret["changes"] = {}
     else:
-        for key in ret['changes']:
-            with salt.utils.files.fopen(paths[key], 'w+') as fp_:
+        for key in ret["changes"]:
+            with salt.utils.files.fopen(paths[key], "w+") as fp_:
                 fp_.write(
-                    salt.utils.stringutils.to_str(
-                        pillar['libvirt.{0}.pem'.format(key)]
-                    )
+                    salt.utils.stringutils.to_str(pillar["libvirt.{0}.pem".format(key)])
                 )
 
-        ret['comment'] = 'Updated libvirt certs and keys'
+        ret["comment"] = "Updated libvirt certs and keys"
 
     return ret
 
 
-def _virt_call(domain, function, section, comment, state=None,
-               connection=None, username=None, password=None, **kwargs):
-    '''
+def _virt_call(
+    domain,
+    function,
+    section,
+    comment,
+    state=None,
+    connection=None,
+    username=None,
+    password=None,
+    **kwargs
+):
+    """
     Helper to call the virt functions. Wildcards supported.
 
     :param domain: the domain to apply the function on. Can contain wildcards.
@@ -157,9 +162,9 @@ def _virt_call(domain, function, section, comment, state=None,
     :param comment: comment to return
     :param state: the expected final state of the VM. If None the VM state won't be checked.
     :return: the salt state return
-    '''
-    ret = {'name': domain, 'changes': {}, 'result': True, 'comment': ''}
-    targeted_domains = fnmatch.filter(__salt__['virt.list_domains'](), domain)
+    """
+    ret = {"name": domain, "changes": {}, "result": True, "comment": ""}
+    targeted_domains = fnmatch.filter(__salt__["virt.list_domains"](), domain)
     changed_domains = list()
     ignored_domains = list()
     noaction_domains = list()
@@ -168,35 +173,39 @@ def _virt_call(domain, function, section, comment, state=None,
             action_needed = True
             # If a state has been provided, use it to see if we have something to do
             if state is not None:
-                domain_state = __salt__['virt.vm_state'](targeted_domain)
+                domain_state = __salt__["virt.vm_state"](targeted_domain)
                 action_needed = domain_state.get(targeted_domain) != state
             if action_needed:
-                response = __salt__['virt.{0}'.format(function)](targeted_domain,
-                                                                 connection=connection,
-                                                                 username=username,
-                                                                 password=password,
-                                                                 **kwargs)
+                response = __salt__["virt.{0}".format(function)](
+                    targeted_domain,
+                    connection=connection,
+                    username=username,
+                    password=password,
+                    **kwargs
+                )
                 if isinstance(response, dict):
-                    response = response['name']
-                changed_domains.append({'domain': targeted_domain, function: response})
+                    response = response["name"]
+                changed_domains.append({"domain": targeted_domain, function: response})
             else:
                 noaction_domains.append(targeted_domain)
         except libvirt.libvirtError as err:
-            ignored_domains.append({'domain': targeted_domain, 'issue': six.text_type(err)})
+            ignored_domains.append(
+                {"domain": targeted_domain, "issue": six.text_type(err)}
+            )
     if not changed_domains:
-        ret['result'] = not ignored_domains and bool(targeted_domains)
-        ret['comment'] = 'No changes had happened'
+        ret["result"] = not ignored_domains and bool(targeted_domains)
+        ret["comment"] = "No changes had happened"
         if ignored_domains:
-            ret['changes'] = {'ignored': ignored_domains}
+            ret["changes"] = {"ignored": ignored_domains}
     else:
-        ret['changes'] = {section: changed_domains}
-        ret['comment'] = comment
+        ret["changes"] = {section: changed_domains}
+        ret["comment"] = comment
 
     return ret
 
 
 def stopped(name, connection=None, username=None, password=None):
-    '''
+    """
     Stops a VM by shutting it down nicely.
 
     .. versionadded:: 2016.3.0
@@ -215,14 +224,22 @@ def stopped(name, connection=None, username=None, password=None):
 
         domain_name:
           virt.stopped
-    '''
+    """
 
-    return _virt_call(name, 'shutdown', 'stopped', 'Machine has been shut down', state='shutdown',
-                      connection=connection, username=username, password=password)
+    return _virt_call(
+        name,
+        "shutdown",
+        "stopped",
+        "Machine has been shut down",
+        state="shutdown",
+        connection=connection,
+        username=username,
+        password=password,
+    )
 
 
 def powered_off(name, connection=None, username=None, password=None):
-    '''
+    """
     Stops a VM by power off.
 
     .. versionadded:: 2016.3.0
@@ -241,32 +258,42 @@ def powered_off(name, connection=None, username=None, password=None):
 
         domain_name:
           virt.stopped
-    '''
-    return _virt_call(name, 'stop', 'unpowered', 'Machine has been powered off', state='shutdown',
-                      connection=connection, username=username, password=password)
-
-
-def defined(name,
-            cpu=None,
-            mem=None,
-            vm_type=None,
-            disk_profile=None,
-            disks=None,
-            nic_profile=None,
-            interfaces=None,
-            graphics=None,
-            seed=True,
-            install=True,
-            pub_key=None,
-            priv_key=None,
-            connection=None,
-            username=None,
-            password=None,
-            os_type=None,
-            arch=None,
-            boot=None,
-            update=True):
-    '''
+    """
+    return _virt_call(
+        name,
+        "stop",
+        "unpowered",
+        "Machine has been powered off",
+        state="shutdown",
+        connection=connection,
+        username=username,
+        password=password,
+    )
+
+
+def defined(
+    name,
+    cpu=None,
+    mem=None,
+    vm_type=None,
+    disk_profile=None,
+    disks=None,
+    nic_profile=None,
+    interfaces=None,
+    graphics=None,
+    seed=True,
+    install=True,
+    pub_key=None,
+    priv_key=None,
+    connection=None,
+    username=None,
+    password=None,
+    os_type=None,
+    arch=None,
+    boot=None,
+    update=True,
+):
+    """
     Starts an existing guest, or defines and starts a new VM with specified arguments.
 
     .. versionadded:: sodium
@@ -311,19 +338,15 @@ def defined(name,
         but ``x86_64`` is prefed over ``i686``. Only used when creating a new virtual machine.
 
     :param boot:
-        Specifies kernel for the virtual machine, as well as boot parameters
-        for the virtual machine. This is an optionl parameter, and all of the
-        keys are optional within the dictionary. If a remote path is provided
-        to kernel or initrd, salt will handle the downloading of the specified
-        remote fild, and will modify the XML accordingly.
+        Specifies kernel, initial ramdisk and kernel command line parameters for the virtual machine.
+        This is an optional parameter, all of the keys are optional within the dictionary.
 
-        .. code-block:: python
+        Refer to :ref:`init-boot-def` for the complete boot parameters description.
 
-            {
-                'kernel': '/root/f8-i386-vmlinuz',
-                'initrd': '/root/f8-i386-initrd',
-                'cmdline': 'console=ttyS0 ks=http://example.com/f8-i386/os/'
-            }
+        To update any boot parameters, specify the new path for each. To remove any boot parameters,
+        pass a None object, for instance: 'kernel': ``None``.
+
+        .. versionadded:: 3000
 
     :param update: set to ``False`` to prevent updating a defined domain. (Default: ``True``)
 
@@ -361,94 +384,104 @@ def defined(name,
                     type: address
                     address: 192.168.0.125
 
-    '''
+    """
 
-    ret = {'name': name,
-           'changes': {},
-           'result': True if not __opts__['test'] else None,
-           'comment': ''
-           }
+    ret = {
+        "name": name,
+        "changes": {},
+        "result": True if not __opts__["test"] else None,
+        "comment": "",
+    }
 
     try:
-        if name in __salt__['virt.list_domains'](connection=connection, username=username, password=password):
+        if name in __salt__["virt.list_domains"](
+            connection=connection, username=username, password=password
+        ):
             status = {}
             if update:
-                status = __salt__['virt.update'](name,
-                                                 cpu=cpu,
-                                                 mem=mem,
-                                                 disk_profile=disk_profile,
-                                                 disks=disks,
-                                                 nic_profile=nic_profile,
-                                                 interfaces=interfaces,
-                                                 graphics=graphics,
-                                                 live=True,
-                                                 connection=connection,
-                                                 username=username,
-                                                 password=password,
-                                                 boot=boot,
-                                                 test=__opts__['test'])
-            ret['changes'][name] = status
-            if not status.get('definition'):
-                ret['comment'] = 'Domain {0} unchanged'.format(name)
-                ret['result'] = True
-            elif status.get('errors'):
-                ret['comment'] = 'Domain {0} updated with live update(s) failures'.format(name)
+                status = __salt__["virt.update"](
+                    name,
+                    cpu=cpu,
+                    mem=mem,
+                    disk_profile=disk_profile,
+                    disks=disks,
+                    nic_profile=nic_profile,
+                    interfaces=interfaces,
+                    graphics=graphics,
+                    live=True,
+                    connection=connection,
+                    username=username,
+                    password=password,
+                    boot=boot,
+                    test=__opts__["test"],
+                )
+            ret["changes"][name] = status
+            if not status.get("definition"):
+                ret["comment"] = "Domain {0} unchanged".format(name)
+                ret["result"] = True
+            elif status.get("errors"):
+                ret[
+                    "comment"
+                ] = "Domain {0} updated with live update(s) failures".format(name)
             else:
-                ret['comment'] = 'Domain {0} updated'.format(name)
+                ret["comment"] = "Domain {0} updated".format(name)
         else:
-            if not __opts__['test']:
-                __salt__['virt.init'](name,
-                                      cpu=cpu,
-                                      mem=mem,
-                                      os_type=os_type,
-                                      arch=arch,
-                                      hypervisor=vm_type,
-                                      disk=disk_profile,
-                                      disks=disks,
-                                      nic=nic_profile,
-                                      interfaces=interfaces,
-                                      graphics=graphics,
-                                      seed=seed,
-                                      install=install,
-                                      pub_key=pub_key,
-                                      priv_key=priv_key,
-                                      connection=connection,
-                                      username=username,
-                                      password=password,
-                                      boot=boot,
-                                      start=False)
-            ret['changes'][name] = {'definition': True}
-            ret['comment'] = 'Domain {0} defined'.format(name)
+            if not __opts__["test"]:
+                __salt__["virt.init"](
+                    name,
+                    cpu=cpu,
+                    mem=mem,
+                    os_type=os_type,
+                    arch=arch,
+                    hypervisor=vm_type,
+                    disk=disk_profile,
+                    disks=disks,
+                    nic=nic_profile,
+                    interfaces=interfaces,
+                    graphics=graphics,
+                    seed=seed,
+                    install=install,
+                    pub_key=pub_key,
+                    priv_key=priv_key,
+                    connection=connection,
+                    username=username,
+                    password=password,
+                    boot=boot,
+                    start=False,
+                )
+            ret["changes"][name] = {"definition": True}
+            ret["comment"] = "Domain {0} defined".format(name)
     except libvirt.libvirtError as err:
         # Something bad happened when defining / updating the VM, report it
-        ret['comment'] = six.text_type(err)
-        ret['result'] = False
+        ret["comment"] = six.text_type(err)
+        ret["result"] = False
 
     return ret
 
 
-def running(name,
-            cpu=None,
-            mem=None,
-            image=None,
-            vm_type=None,
-            disk_profile=None,
-            disks=None,
-            nic_profile=None,
-            interfaces=None,
-            graphics=None,
-            seed=True,
-            install=True,
-            pub_key=None,
-            priv_key=None,
-            update=False,
-            connection=None,
-            username=None,
-            password=None,
-            os_type=None,
-            arch=None,
-            boot=None):
-    '''
+def running(
+    name,
+    cpu=None,
+    mem=None,
+    vm_type=None,
+    disk_profile=None,
+    disks=None,
+    nic_profile=None,
+    interfaces=None,
+    graphics=None,
+    seed=True,
+    install=True,
+    pub_key=None,
+    priv_key=None,
+    update=False,
+    connection=None,
+    username=None,
+    password=None,
+    os_type=None,
+    arch=None,
+    boot=None,
+):
+    """
     Starts an existing guest, or defines and starts a new VM with specified arguments.
 
     .. versionadded:: 2016.3.0
@@ -456,9 +489,6 @@ def running(name,
     :param name: name of the virtual machine to run
     :param cpu: number of CPUs for the virtual machine to create
     :param mem: amount of memory in MiB for the new virtual machine
-    :param image: disk image to use for the first disk of the new VM
-
-        .. deprecated:: 2019.2.0
     :param vm_type: force virtual machine type for the new VM. The default value is taken from
         the host capabilities. This could be useful for example to use ``'qemu'`` type instead
         of the ``'kvm'`` one.
@@ -534,19 +564,13 @@ def running(name,
         .. versionadded:: 3000
 
     :param boot:
-        Specifies kernel for the virtual machine, as well as boot parameters
-        for the virtual machine. This is an optionl parameter, and all of the
-        keys are optional within the dictionary. If a remote path is provided
-        to kernel or initrd, salt will handle the downloading of the specified
-        remote fild, and will modify the XML accordingly.
+        Specifies kernel, initial ramdisk and kernel command line parameters for the virtual machine.
+        This is an optional parameter, all of the keys are optional within the dictionary.
 
-        .. code-block:: python
+        Refer to :ref:`init-boot-def` for the complete boot parameters description.
 
-            {
-                'kernel': '/root/f8-i386-vmlinuz',
-                'initrd': '/root/f8-i386-initrd',
-                'cmdline': 'console=ttyS0 ks=http://example.com/f8-i386/os/'
-            }
+        To update any boot parameters, specify the new path for each. To remove any boot parameters,
+        pass a None object, for instance: 'kernel': ``None``.
 
         .. versionadded:: 3000
 
@@ -606,81 +630,69 @@ def running(name,
                     type: address
                     address: 192.168.0.125
 
-    '''
+    """
     merged_disks = disks
-    if image:
-        default_disks = [{'system': {}}]
-        disknames = ['system']
-        if disk_profile:
-            disklist = copy.deepcopy(
-                    __salt__['config.get']('virt:disk', {}).get(disk_profile, default_disks))
-            disknames = disklist.keys()
-        disk = {'name': disknames[0], 'image': image}
-        if merged_disks:
-            first_disk = [d for d in merged_disks if d.get('name') == disknames[0]]
-            if first_disk and 'image' not in first_disk[0]:
-                first_disk[0]['image'] = image
-            else:
-                merged_disks.append(disk)
-        else:
-            merged_disks = [disk]
-        salt.utils.versions.warn_until(
-            'Sodium',
-            '\'image\' parameter has been deprecated. Rather use the \'disks\' parameter '
-            'to override or define the image. \'image\' will be removed in {version}.'
-        )
 
     if not update:
-        salt.utils.versions.warn_until('Magnesium',
-                '\'update\' parameter has been deprecated. Future behavior will be the one of update=True'
-                'It will be removed in {version}.')
-    ret = defined(name,
-                  cpu=cpu,
-                  mem=mem,
-                  vm_type=vm_type,
-                  disk_profile=disk_profile,
-                  disks=merged_disks,
-                  nic_profile=nic_profile,
-                  interfaces=interfaces,
-                  graphics=graphics,
-                  seed=seed,
-                  install=install,
-                  pub_key=pub_key,
-                  priv_key=priv_key,
-                  os_type=os_type,
-                  arch=arch,
-                  boot=boot,
-                  update=update,
-                  connection=connection,
-                  username=username,
-                  password=password)
-
-    result = True if not __opts__['test'] else None
-    if ret['result'] is None or ret['result']:
-        changed = ret['changes'][name].get('definition', False)
+        salt.utils.versions.warn_until(
+            "Aluminium",
+            "'update' parameter has been deprecated. Future behavior will be the one of update=True"
+            "It will be removed in {version}.",
+        )
+    ret = defined(
+        name,
+        cpu=cpu,
+        mem=mem,
+        vm_type=vm_type,
+        disk_profile=disk_profile,
+        disks=merged_disks,
+        nic_profile=nic_profile,
+        interfaces=interfaces,
+        graphics=graphics,
+        seed=seed,
+        install=install,
+        pub_key=pub_key,
+        priv_key=priv_key,
+        os_type=os_type,
+        arch=arch,
+        boot=boot,
+        update=update,
+        connection=connection,
+        username=username,
+        password=password,
+    )
+
+    result = True if not __opts__["test"] else None
+    if ret["result"] is None or ret["result"]:
+        changed = ret["changes"][name].get("definition", False)
         try:
-            domain_state = __salt__['virt.vm_state'](name)
-            if domain_state.get(name) != 'running':
-                if not __opts__['test']:
-                    __salt__['virt.start'](name, connection=connection, username=username, password=password)
-                comment = 'Domain {} started'.format(name)
-                if not ret['comment'].endswith('unchanged'):
-                    comment = '{} and started'.format(ret['comment'])
-                ret['comment'] = comment
-                ret['changes'][name]['started'] = True
+            domain_state = __salt__["virt.vm_state"](name)
+            if domain_state.get(name) != "running":
+                if not __opts__["test"]:
+                    __salt__["virt.start"](
+                        name,
+                        connection=connection,
+                        username=username,
+                        password=password,
+                    )
+                comment = "Domain {} started".format(name)
+                if not ret["comment"].endswith("unchanged"):
+                    comment = "{} and started".format(ret["comment"])
+                ret["comment"] = comment
+                ret["changes"][name]["started"] = True
             elif not changed:
-                ret['comment'] = 'Domain {0} exists and is running'.format(name)
+                ret["comment"] = "Domain {0} exists and is running".format(name)
 
         except libvirt.libvirtError as err:
             # Something bad happened when starting / updating the VM, report it
-            ret['comment'] = six.text_type(err)
-            ret['result'] = False
+            ret["comment"] = six.text_type(err)
+            ret["result"] = False
 
     return ret
 
 
 def snapshot(name, suffix=None, connection=None, username=None, password=None):
-    '''
+    """
     Takes a snapshot of a particular VM or by a UNIX-style wildcard.
 
     .. versionadded:: 2016.3.0
@@ -704,15 +716,23 @@ def snapshot(name, suffix=None, connection=None, username=None, password=None):
         domain*:
           virt.snapshot:
             - suffix: periodic
-    '''
+    """
 
-    return _virt_call(name, 'snapshot', 'saved', 'Snapshot has been taken', suffix=suffix,
-                      connection=connection, username=username, password=password)
+    return _virt_call(
+        name,
+        "snapshot",
+        "saved",
+        "Snapshot has been taken",
+        suffix=suffix,
+        connection=connection,
+        username=username,
+        password=password,
+    )
 
 
 # Deprecated states
 def rebooted(name, connection=None, username=None, password=None):
-    '''
+    """
     Reboots VMs
 
     .. versionadded:: 2016.3.0
@@ -728,14 +748,21 @@ def rebooted(name, connection=None, username=None, password=None):
     :param password: password to connect with, overriding defaults
 
         .. versionadded:: 2019.2.0
-    '''
+    """
 
-    return _virt_call(name, 'reboot', 'rebooted', "Machine has been rebooted",
-                      connection=connection, username=username, password=password)
+    return _virt_call(
+        name,
+        "reboot",
+        "rebooted",
+        "Machine has been rebooted",
+        connection=connection,
+        username=username,
+        password=password,
+    )
 
 
 def unpowered(name):
-    '''
+    """
     .. deprecated:: 2016.3.0
        Use :py:func:`~salt.modules.virt.powered_off` instead.
 
@@ -747,13 +774,13 @@ def unpowered(name):
 
         domain_name:
           virt.stopped
-    '''
+    """
 
-    return _virt_call(name, 'stop', 'unpowered', 'Machine has been powered off')
+    return _virt_call(name, "stop", "unpowered", "Machine has been powered off")
 
 
 def saved(name, suffix=None):
-    '''
+    """
     .. deprecated:: 2016.3.0
        Use :py:func:`~salt.modules.virt.snapshot` instead.
 
@@ -770,13 +797,17 @@ def saved(name, suffix=None):
         domain*:
           virt.saved:
             - suffix: periodic
-    '''
+    """
 
-    return _virt_call(name, 'snapshot', 'saved', 'Snapshots has been taken', suffix=suffix)
+    return _virt_call(
+        name, "snapshot", "saved", "Snapshots has been taken", suffix=suffix
+    )
 
 
-def reverted(name, snapshot=None, cleanup=False):  # pylint: disable=redefined-outer-name
-    '''
+def reverted(
+    name, snapshot=None, cleanup=False
+):  # pylint: disable=redefined-outer-name
+    """
     .. deprecated:: 2016.3.0
 
     Reverts to the particular snapshot.
